PDA

View Full Version : Latest version of iMovie.



garigoun
12-04-2015, 04:58 AM
Hi, I'm using iMovie 9.0.9 but most of the tutorials I look at are using later versions 10. 0.5 et al. I have tried to update m version but get a box telling me that the version I have is the latest version.
Any ideas anyone?
Gary

chas_m
12-04-2015, 12:25 PM
The reason you are getting that message (probably) is because you're on an old machine running an old system.

Some details of your setup would be helpful in determining what advice to give you.

http://www.mac-forums.com/forums/news-community-announcements/313284-writing-quality-post.html

garigoun
12-04-2015, 01:19 PM
The reason you are getting that message (probably) is because you're on an old machine running an old system.

Some details of your setup would be helpful in determining what advice to give you.

http://www.mac-forums.com/forums/news-community-announcements/313284-writing-quality-post.html

Thanks for reply Chas. Of course I should have stated what I'm using, sorry. I'm on a 27" iMac late 2009 running El Capitan. 2.66 Ghz Intel core. 16gb memory. 1tb hdd. Hope this helps.
G

lclev
12-04-2015, 01:47 PM
Your version is up to date for version 9. iMovie 10 is a new and separate install. Part of the reason for this is 10 handles projects a bit differently and will ask to convert any version 9 projects you open with it. Some are having trouble with iMovie 10 and El Capitan which might be a consideration.

https://discussions.apple.com/thread/7016774

https://support.apple.com/en-us/HT202853

https://discussions.apple.com/thread/5469143?tstart=0

Lisa

MightyGem
12-06-2015, 05:13 PM
Hi, I'm using iMovie 9.0.9 but most of the tutorials I look at are using later versions 10.
You may find this useful:
http://www.a2gov.org/departments/communications/ctn/services/Documents/iMovie_11_and_iDVD_The_Missing_Manual[1].pdf